/*****************************************************************************/
/*     Generator - Sega Genesis emulation - (c) James Ponder 1997-2001       */
/*****************************************************************************/
/*                                                                           */
/* cli-amiga.h - Amiga CLI interface (c) Mathias "AmiDog" Roslund 2001       */
/*                                                                           */
/*****************************************************************************/

/* These has to be setup locally */

#define SPEEDTEST_NONE (0)
#define SPEEDTEST_DISP (1)
#define SPEEDTEST_NULL (2)
#define SPEEDTEST_REND (3)

typedef struct {
  char *filename;
  int frameskip;
  int joypad;
  int req;
  int nostalgia;
  int interpreter;
  int compiler;
  int speedtest;
} cli_amiga_type;

extern cli_amiga_type cli_amiga;

void handle_arguments(int argc, char *argv[]);

