/*
 * timer.h
 */

#ifndef _TIMER_H_
#define _TIMER_H_

#include <proto/timer.h>

typedef struct timer_s timer_t;

timer_t *timer_init(void);
void timer_gettime(timer_t *timer, struct timeval *tv);
void timer_subtime(timer_t *timer, struct timeval *dt, struct timeval *st);
void timer_usleep(timer_t *timer, int us);
void timer_exit(timer_t *timer);

#endif /* _TIMER_H_ */
